@model be_wise.Models.Dashboard.DashboardViewModel

@{
    ViewBag.Title = "Dashboard";
    Layout = "_DashboardLayout";
}

<div>
    <!-- Content Row -->
    <div class="row">
    
        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-primary shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Dodane posty (w tym miesiącu)</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">@Model.PostsInMonthCount</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-quote-right fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-success shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Postów ogólnie</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">@Model.AllPostsCount</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-quote-right fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Użytkowników</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">@Model.UsersCount</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-users fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
        <!-- Pending Requests Card Example -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-warning shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Oczekujących postów</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">@Model.PendingPostsCount</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-sticky-note fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-header py-3">
        <h6 class="m-0 font-weight-bold text-primary">Oczekujące posty</h6>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <div class="dt-bootstrap4">
                <div class="row m-0">
                    <div class="col-sm-12">
                        <table class="table table-bordered dataTable pending-posts" id="dataTable" width="100%" cellspacing="0" role="grid" aria-describedby="dataTable_info" style="width: 100%;">
                            <thead>
                            <tr>
                                <th rowspan="1" colspan="1">ID</th><th rowspan="1" colspan="1">Nazwa</th><th rowspan="1" colspan="1">Miniatura</th><th rowspan="1" colspan="1">Akcje</th>
                            </tr>
                            </thead>
                            <tbody>

                            @foreach (var post in @Model.PendingPosts)
                            {
                                <tr role="row" class="odd">
                                    <td class="sorting_1">@post.Id</td>
                                    <td>@post.Title</td>
                                    <td>
                                        <img style="max-width: 50px; height: auto;" alt="@post.Title" src="@post.ImageUrl"/>
                                    </td>
                                    <td>
                                        <a class="btn btn-warning" asp-action="Accept" asp-route-id="@post.Id">Akceptuj</a>
                                        <a class="btn btn-warning" asp-action="Reject" asp-route-id="@post.Id">Odrzuć</a>
                                    </td>
                                </tr>
                            }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>